Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class TemplateEncoderRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.richfaces.renderkit.TemplateEncoderRendererBase

    public abstract class TemplateEncoderRendererBase

extends RendererBase

Author:
  Nick Belaevski - mailto:nbelaevski@exadel.com created 22.06.2007

Constructor Summary
`TemplateEncoderRendererBase()`

Method Summary
`protected org.xml.sax.ContentHandler` | `createContentHandler(java.io.Writer writer)`
`void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`boolean` | `getRendersChildren()`
`protected void` | `writeScriptBody(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, boolean children)`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getComponentClass, getResource, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateEncoderRendererBase

    public TemplateEncoderRendererBase()

Method Detail

### getRendersChildren

    public final boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

### writeScriptBody

    protected void writeScriptBody(javax.faces.context.FacesContext context,
                                   javax.faces.component.UIComponent component,
                                   boolean children)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `RendererBase`
  Throws:
    `java.io.IOException`

### createContentHandler

    protected org.xml.sax.ContentHandler createContentHandler(java.io.Writer writer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.